Register Members List Search Today's Posts Mark Forums Read

Reply
 
Thread Tools
  #1  
Old 27 Aug 2018, 03:14
katie hunter's Avatar
katie hunter katie hunter is offline
 
Join Date: May 2007
Plugin causing issues with php 7.1

Hi,

I've installed a new vb but i used php 7.1 however i am reciving errors from the plugin. I don't want to downgrade my php really to 5.6.

Php 7.1 runs faster than 5.6, correct ? What do i do to get my plugins to work ? this is the first plugin i tried to test and it is an important one.

Last edited by katie hunter; 17 Sep 2018 at 01:42.
Reply With Quote
  #2  
Old 27 Aug 2018, 04:09
MarkFL's Avatar
MarkFL MarkFL is offline
 
Join Date: Feb 2014
Real name: Mark
What is the plugin code?
__________________
Former vBulletin.org Staff Member



Support for my products (as well as updates/new product publishing) has been moved to MHB - vBulletin Products and TAZ - Add-ons
Reply With Quote
  #3  
Old 27 Aug 2018, 04:15
katie hunter's Avatar
katie hunter katie hunter is offline
 
Join Date: May 2007
Hi Mark - there are several plugins.

The first one is recapcha new (i get a white page in registration page if i ever use it) Edit: The fix is on the last page of the plugin, this one is fixed.
https://www.vbulletin.org/forum/showthread.php?t=315960

The next one is sphynix search
https://marketplace.digitalpoint.com...tin-4.870/item

The third one is a custom made for my header , that is the one i first tried and give me the error i mentioned above:

Last edited by katie hunter; 17 Sep 2018 at 01:42.
Reply With Quote
  #4  
Old 27 Aug 2018, 04:41
MarkFL's Avatar
MarkFL MarkFL is offline
 
Join Date: Feb 2014
Real name: Mark
Try this code in your custom plugin:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

__________________
Former vBulletin.org Staff Member



Support for my products (as well as updates/new product publishing) has been moved to MHB - vBulletin Products and TAZ - Add-ons
Reply With Quote
  #5  
Old 27 Aug 2018, 05:09
katie hunter's Avatar
katie hunter katie hunter is offline
 
Join Date: May 2007
Hi Mark - add this code where ? replace the entire file with your code ?

Edit: i applied your changes but still same issue:

Last edited by katie hunter; 17 Sep 2018 at 01:43.
Reply With Quote
  #6  
Old 27 Aug 2018, 13:53
MarkFL's Avatar
MarkFL MarkFL is offline
 
Join Date: Feb 2014
Real name: Mark
Replace the actual plugin code. No need to edit the .XML file.
__________________
Former vBulletin.org Staff Member



Support for my products (as well as updates/new product publishing) has been moved to MHB - vBulletin Products and TAZ - Add-ons
Reply With Quote
  #7  
Old 27 Aug 2018, 16:29
katie hunter's Avatar
katie hunter katie hunter is offline
 
Join Date: May 2007
Hi Mark, i tried it but it gave me an error when i tried to import the xml file after i updated

XML Error: Not well-formed (invalid token) at Line 3

Edit: now it works !! <3 i went to edit in Installed Products and replaced your code in the install new code and saved. But trying to edit the xml file and upload it didn't work, it gave me that error above.

What did you do to fix it ? so i can apply it to other plugins that has similar issues like the sphynix right now has that same issue:

Last edited by katie hunter; 17 Sep 2018 at 01:43.
Reply With Quote
  #8  
Old 27 Aug 2018, 18:19
MarkFL's Avatar
MarkFL MarkFL is offline
 
Join Date: Feb 2014
Real name: Mark
I'm surprised that was part of the installation code...it should have simply been in a plugin. As far as Sphinx, I would speak to its developers.
__________________
Former vBulletin.org Staff Member



Support for my products (as well as updates/new product publishing) has been moved to MHB - vBulletin Products and TAZ - Add-ons
Reply With Quote
  #9  
Old 28 Aug 2018, 01:08
katie hunter's Avatar
katie hunter katie hunter is offline
 
Join Date: May 2007
Originally Posted by MarkFL View Post
I'm surprised that was part of the installation code...it should have simply been in a plugin. As far as Sphinx, I would speak to its developers.
They ceased updating it, but i have many the same issues with the xml files, what do i need to replace to be compliant with php 7.x ?
Reply With Quote
Reply



Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


New To Site? Need Help?

All times are GMT. The time now is 12:23.

Layout Options | Width: Wide Color: